Subject: Cannot use cg-clone over http after packing a public repo

From: Martin Langhoff <[email-masked]>
Date: Fri, 19 Aug 2005 15:35:52 +1200

With todays git and cogito:

  moodle-git-merge$ git-push-script --all ~/public_html/repos/moodle.git

This unpacked the repo completely, in spite if it being local. Anyway,
from a remote machine I could do cg-clone and it succeeded, though it
took ages:

    cg-clone http://mltest/~martin/repos/moodle.git moodle-foo

So I packed the repo

  GIT_DIR=~/public_html/repos/moodle.git/ git-repack-script
  GIT_DIR=~/public_html/repos/moodle.git/ git-prune-packed

And now cg-clone dies -- the objects/info/packs file is missing. It's
there for the repos in kernel.org, but it isn't there in mine. Hmmmm.
I don't see any option mentioned in the git-repack documentation to
create them. strange.

cheers,

martin